[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.TDirection

Search direction for IndexOfItem

## Declaration

Source position: classesh.inc line 239

`public type TFPList.TDirection = (`
`FromBeginning,` |  | Start search at the beginning
`FromEnd` |  | Start search at the end.
`);`

## Description

TFPList.TDirection is used to indicate where the TFPList.IndexOfItem search algorithm starts it search: at the beginning of the list or at the end of the list.

## See also

TFPList.IndexOfItem |  | Search an item in the list